<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="trainStatione">
            <h2><span jhiTranslate="icyTrainApp.trainStatione.detail.title">Train Statione</span> {{trainStatione.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="icyTrainApp.trainStatione.name">Name</span></dt>
                <dd>
                    <span>{{trainStatione.name}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.trainStatione.location">Location</span></dt>
                <dd>
                    <div *ngIf="trainStatione.location">
                        <a [routerLink]="['/location', trainStatione.location?.id, 'view']">{{trainStatione.location?.id}}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/train-statione', trainStatione.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
